Security Enhanced Linux Reference Policy

# Layer: apps

## Module: gnome

Interfaces Templates

### Description:

GNU network object model environment.

### Interfaces:

gnome_create_generic_gconf_home_dirs( domain )

##### Summary

Create generic gconf home directories.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

gnome_create_generic_home_dirs( domain )

##### Summary

Create generic gnome home directories.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

gnome_dbus_chat_all_gkeyringd( domain )

##### Summary

Send and receive messages from all gnome keyring daemon over dbus.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

gnome_dbus_chat_gconfd( role_prefix , domain )

##### Summary

Send and receive messages from gnome configuration daemon over dbus.

##### Parameters

Parameter: | Description:
--- | ---
role_prefix | The prefix of the user domain (e.g., user is the prefix for user_t).
domain | Domain allowed access.

gnome_dbus_chat_gkeyringd( role_prefix , domain )

##### Summary

Send and receive messages from gnome keyring daemon over dbus.

##### Parameters

Parameter: | Description:
--- | ---
role_prefix | The prefix of the user domain (e.g., user is the prefix for user_t).
domain | Domain allowed access.

gnome_domtrans_gconfd( domain )

##### Summary

Run gconfd in gconfd domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

gnome_dontaudit_read_inherited_gconf_config_files( domain )

##### Summary

Do not audit attempts to read inherited gconf configuration files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain to not audit.

gnome_exec_gconf( domain )

##### Summary

Execute gconf in the caller domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

gnome_gconf_home_filetrans( domain , private_type , object_class , name )

##### Summary

Create objects in gnome gconf home directories with a private type.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
private_type | Private file type.
object_class | Class of the object being created.
name | The name of the object being created.

gnome_home_filetrans( domain , private_type , object_class , name )

##### Summary

Create objects in gnome user home directories with a private type.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
private_type | Private file type.
object_class | Class of the object being created.
name | The name of the object being created.

gnome_home_filetrans_gconf_home( domain , object_class , name )

##### Summary

Create objects in user home directories with the generic gconf home type.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
object_class | Class of the object being created.
name | The name of the object being created.

gnome_home_filetrans_gnome_home( domain , object_class , name )

##### Summary

Create objects in user home directories with the generic gnome home type.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
object_class | Class of the object being created.
name | The name of the object being created.

gnome_manage_gconf_config( domain )

##### Summary

Create, read, write, and delete gconf configuration content.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

gnome_manage_generic_gconf_home_content( domain )

##### Summary

Create, read, write, and delete generic gconf home content.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

gnome_manage_generic_home_content( domain )

##### Summary

Create, read, write, and delete generic gnome home content.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

gnome_manage_gstreamer_orcexec( domain )

##### Summary

Manage gstreamer ORC optimized code.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

gnome_mmap_gstreamer_orcexec( domain )

##### Summary

Mmap gstreamer ORC optimized code.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

gnome_read_gconf_config( domain )

##### Summary

Read gconf configuration content.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

gnome_read_generic_gconf_home_content( domain )

##### Summary

Read generic gconf home content.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

gnome_read_generic_home_content( domain )

##### Summary

Read generic gnome home content.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

gnome_read_keyring_home_files( domain )

##### Summary

Read generic gnome keyring home files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

gnome_search_generic_gconf_home( domain )

##### Summary

Search generic gconf home directories.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

gnome_search_generic_home( domain )

##### Summary

Search generic gnome home directories.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

gnome_setattr_generic_home_dirs( domain )

##### Summary

Set attributes of generic gnome user home directories.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

gnome_spec_domtrans_all_gkeyringd( domain )

##### Summary

Run all gkeyringd in gkeyringd domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

gnome_stream_connect_all_gkeyringd( domain )

##### Summary

Connect to all gnome keyring daemon with a unix stream socket.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

gnome_stream_connect_gconf( domain )

##### Summary

Connect to gconf using a unix domain stream socket.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

gnome_stream_connect_gkeyringd( role_prefix , domain )

##### Summary

Connect to gnome keyring daemon with a unix stream socket.

##### Parameters

Parameter: | Description:
--- | ---
role_prefix | The prefix of the user domain (e.g., user is the prefix for user_t).
domain | Domain allowed access.

gnome_user_home_dir_filetrans_gstreamer_orcexec( domain , object_class , name )

##### Summary

Create objects in user home directories with the gstreamer orcexec type.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
object_class | Class of the object being created.
name | The name of the object being created.

gnome_user_runtime_filetrans_gstreamer_orcexec( domain , object_class , name )

##### Summary

Create objects in the user runtime directories with the gstreamer orcexec type.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
object_class | Class of the object being created.
name | The name of the object being created.

Return

### Templates:

gnome_role_template( role_prefix , user_role , user_domain )

##### Summary

The role template for gnome.

##### Parameters

Parameter: | Description:
--- | ---
role_prefix | The prefix of the user domain (e.g., user is the prefix for user_t).
user_role | The role associated with the user domain.
user_domain | The type of the user domain.

Return